=== debian/changelog ===
gitlab-workhorse (0.6.3-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: modify-paths.patch (merged upstream)

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Feb 2016 00:02:46 +0530

gitlab-workhorse (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #808172)

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Dec 2015 12:32:37 +0530
