=== debian/control ===
Source: gitlab-workhorse
Section: httpd
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9),
 golang
Standards-Version: 3.9.6
Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git

Package: gitlab-workhorse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: unloads Git HTTP traffic from the GitLab Rails app (Unicorn)
 gitlab-workhorse was designed to unload Git HTTP traffic from the GitLab Rails
 app (Unicorn) to a separate daemon. It also serves 'git archive' downloads for
 GitLab. All authentication and authorization logic is still handled by the
 GitLab Rails app.
 .
 Architecture: Git client -> NGINX -> gitlab-workhorse (makes auth request to
 GitLab Rails app) -> git-upload-pack
