=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	make -j1 install DESTDIR=debian/gitlab-workhorse \
	AM_UPDATE_INFO_DIR=no PREFIX=/usr

override_dh_auto_test:
	echo "Diasble tests, need internet to clone test files"
