=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*=(.*)/gitlab-workhorse-$1.tar.gz/ \
https://gitlab.com/gitlab-org/gitlab-workhorse/tags .*/archive.tar.gz\?ref=(.*)
