=== debian/changelog ===
gitlab-workhorse (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 3.9.8.
  * Build using "dh-golang"; added "Built-Using" field, etc.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Jul 2016 20:01:41 +1000
