## gitlab-workhorse 0.8.5%2Bdebian

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-golang,
-               golang-any
+               golang-any,
+               golang-github-getsentry-raven-go-dev,
+               golang-github-dgrijalva-jwt-go-v3-dev
 ## tests:
 #    ,git
 #    ,curl
