=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG = gitlab.com/gitlab-org/gitlab-workhorse
#export DH_GOLANG_INSTALL_ALL := 1
export DH_GOLANG_INSTALL_EXTRA = testdata
export DH_GOLANG_EXCLUDES := support

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_test:
	echo "Diasble tests, need internet to clone test files"
#	-PATH="$(CURDIR)/_build/bin:$$PATH" dh_auto_test
