=== debian/changelog ===
gitlab-workhorse (0.8.5+debian-3) unstable; urgency=medium

  * Manually build on s390x (Closes: #843148) 

 -- Pirate Praveen <praveen@debian.org>  Fri, 04 Nov 2016 17:09:13 +0530

gitlab-workhorse (0.8.5+debian-2) unstable; urgency=medium

  * Remove optional go-compiler from build dependency 

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Nov 2016 11:44:07 +0530

gitlab-workhorse (0.8.5+debian-1) unstable; urgency=medium

  * New upstream release
  * Switch build dep to golang-github-dgrijalva-jwt-go-v3-dev (Closes #841617)

 -- Pirate Praveen <praveen@debian.org>  Tue, 01 Nov 2016 10:52:16 +0530

gitlab-workhorse (0.8.2+debian1-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Tue, 11 Oct 2016 16:01:41 +0530

gitlab-workhorse (0.8.2+debian1-1) experimental; urgency=medium

  * Use packaged raven-go and jwt-go (fix build failure in powerpc)

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Oct 2016 12:42:47 +0530

gitlab-workhorse (0.8.2-1) unstable; urgency=medium

  * New upstream release 

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Sep 2016 21:51:27 +0530
