## gitlab-workhorse 4.3.1+debian

=== Makefile ===
--- 
+++ 
@@ -2,15 +2,16 @@
 VERSION=$(shell git describe)-$(shell date -u +%Y%m%d.%H%M%S)
 BUILD_DIR = $(shell pwd)
 export GOPATH=${BUILD_DIR}/_build
-export GO15VENDOREXPERIMENT=1
+export PATH:=${GOPATH}/bin:${PATH}
 GOBUILD=go build -ldflags "-X main.Version=${VERSION}"
 PKG=gitlab.com/gitlab-org/gitlab-workhorse
+PKG_ALL = $(shell GOPATH=${GOPATH} go list ${PKG}/... | grep -v /vendor/)
 
 all: clean-build gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
 
 gitlab-zip-cat:	${BUILD_DIR}/_build $(shell find cmd/gitlab-zip-cat/ -name '*.go')
 	${GOBUILD} -o ${BUILD_DIR}/$@ ${PKG}/cmd/$@
-	
+
 gitlab-zip-metadata:	${BUILD_DIR}/_build $(shell find cmd/gitlab-zip-metadata/ -name '*.go')
 	${GOBUILD} -o ${BUILD_DIR}/$@ ${PKG}/cmd/$@
 
@@ -27,10 +28,16 @@
 	touch $@
 
 .PHONY: test
-test:	clean-build clean-workhorse all
-	go fmt ${PKG}/... | awk '{ print } END { if (NR > 0) { print "Please run go fmt"; exit 1 } }'
-	go test ${PKG}/...
+test:	clean-build clean-workhorse all govendor
+	go fmt ${PKG_ALL} | awk '{ print } END { if (NR > 0) { print "Please run go fmt"; exit 1 } }'
+	_support/detect-context.sh
+	cd ${GOPATH}/src/${PKG} && govendor sync
+	go test ${PKG_ALL}
 	@echo SUCCESS
+
+.PHONY:	govendor
+govendor:
+	command -v govendor || go get github.com/kardianos/govendor
 
 coverage:
 	go test -cover -coverprofile=test.coverage
@@ -38,7 +45,7 @@
 	rm -f test.coverage
 
 fmt:
-	go fmt ./...
+	go fmt ${PKG_ALL}
 
 .PHONY: clean
 clean:	clean-workhorse clean-build
@@ -48,6 +55,9 @@
 clean-workhorse:
 	cd ${BUILD_DIR} && rm -f gitlab-workhorse gitlab-zip-cat gitlab-zip-metadata
 
+release:
+	sh _support/release.sh
+
 .PHONY:	clean-build
 clean-build:
 	rm -rf ${BUILD_DIR}/_build
