=== debian/changelog ===
gitlab-workhorse (4.3.1+debian-1) unstable; urgency=medium

  * New upstream version 

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Mon, 18 Jun 2018 23:52:53 +0000

gitlab-workhorse (4.2.1+debian-2) unstable; urgency=medium

  * Set minimum version of golang-any to 2:1.10~ (to help with
    stretch-backports)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Jun 2018 20:50:11 +0530

gitlab-workhorse (4.2.1+debian-1) unstable; urgency=medium

  * New upstream version 4.2.1+debian
  * Fix watch file pattern

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Jun 2018 20:35:30 +0530

gitlab-workhorse (4.0.0+debian-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Switch vcs to go-team

 -- Pirate Praveen <praveen@debian.org>  Wed, 28 Mar 2018 12:20:34 +0530

gitlab-workhorse (3.8.0+debian-1) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Switch to XS-Go-Import-Path

  [ Pirate Praveen ]
  * Update watch file for new download url pattern
  * New upstream version 3.8.0
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 16 Mar 2018 19:11:00 +0530
