=== debian/control ===
--- 
+++ 
@@ -1,20 +1,45 @@
 Source: gitlab-workhorse
 Section: httpd
 Priority: optional
-Maintainer: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>,
+ Manas Kashyap <manaskashyaptech@gmail.com>
+Build-Depends: debhelper (>= 11),
                dh-golang,
-               golang-any,
+               golang-any (>= 2:1.10~),
                golang-github-getsentry-raven-go-dev,
-               golang-github-dgrijalva-jwt-go-v3-dev
+               golang-github-dgrijalva-jwt-go-v3-dev,
+               golang-toml-dev,
+               golang-github-beorn7-perks-dev,
+               golang-github-davecgh-go-spew-dev,
+               golang-github-garyburd-redigo-dev,
+               golang-goprotobuf-dev,
+               golang-websocket-dev,
+               golang-protobuf-extensions-dev,
+               golang-github-mitchellh-copystructure-dev,
+               golang-github-mitchellh-reflectwalk-dev,
+               golang-github-pmezard-go-difflib-dev,
+               golang-prometheus-client-dev,
+               golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-prometheus-common-dev,
+               golang-procfs-dev,
+               golang-github-stretchr-testify-dev,
+               golang-logrus-dev (>= 1.0~),
+               golang-golang-x-crypto-dev,
+               golang-golang-x-net-dev,
+               golang-golang-x-sys-dev,
+               golang-google-genproto-dev,
+               golang-google-grpc-dev
 ## tests:
 #    ,git
 #    ,curl
 #    ,unzip
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab-workhorse.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab-workhorse.git
+Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
+XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-workhorse
 
 Package: gitlab-workhorse
 Architecture: any
