=== debian/changelog ===
gitlab-workhorse (6.1.1+debian-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 20:50:48 +0530

gitlab-workhorse (6.1.1+debian-3) unstable; urgency=medium

  * Add an autopkgtest to check if gitlab-workhorse is starting

 -- Pirate Praveen <praveen@debian.org>  Sat, 24 Nov 2018 07:41:31 +0530

gitlab-workhorse (6.1.1+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 13:29:23 +0530

gitlab-workhorse (6.1.1+debian-1) experimental; urgency=medium

  * New upstream version 6.1.1+debian

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:47:04 +0530

gitlab-workhorse (5.2.0+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Set minimum version of grpc to 1.11

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Dec 2018 13:27:16 +0530

gitlab-workhorse (5.2.0+debian-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 12:59:57 +0530

gitlab-workhorse (5.2.0+debian-1) experimental; urgency=medium

  * New upstream version  
  * Standard version updated 

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Sat, 11 Aug 2018 05:35:21 +0000

gitlab-workhorse (4.3.1+debian-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Manas Kashyap <manaskashyaptech@gmail.com>  Tue, 26 Jun 2018 03:48:47 +0000
