=== debian/control ===
--- 
+++ 
@@ -30,12 +30,12 @@
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev,
                golang-google-genproto-dev,
-               golang-google-grpc-dev
+               golang-google-grpc-dev (>= 1.11~)
 ## tests:
 #    ,git
 #    ,curl
 #    ,unzip
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
