## gitlab-workhorse 7.4.0%2Bdebian

=== debian/changelog ===
gitlab-workhorse (7.4.0+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Set minimum version of golang-golang-x-sys-dev

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 19:42:27 +0530

gitlab-workhorse (7.4.0+debian-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 12:34:45 +0530

gitlab-workhorse (7.4.0+debian-1) experimental; urgency=medium

  * New upstream version 7.4.0+debian
  * Refresh patches
  * Use embedded raven-go and grpc (from vendor directory, the packaged
    versions need updates)

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Dec 2018 20:47:55 +0530
