## gitlab-workhorse 7.6.0%2Bdebian

=== debian/changelog ===
gitlab-workhorse (7.6.0+debian-1) unstable; urgency=medium

  * New upstream version 7.6.0+debian
  * Set minimum version of golang-golang-x-sys-dev
  * Remove unused overrides

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Dec 2018 18:31:19 +0530
