=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any (>= 2:1.10~),
-               golang-github-getsentry-raven-go-dev,
+#golang-github-getsentry-raven-go-dev,
                golang-github-dgrijalva-jwt-go-v3-dev,
                golang-toml-dev,
                golang-github-beorn7-perks-dev,
@@ -28,9 +28,9 @@
                golang-logrus-dev (>= 1.0~),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
                golang-google-genproto-dev,
-               golang-google-grpc-dev (>= 1.11~)
+#golang-google-grpc-dev
 ## tests:
 #    ,git
 #    ,curl
