=== debian/tests/control ===
Tests: listeningPort
Depends: @, psmisc
Restrictions: allow-stderr
