## gitlab-workhorse 7.6.0+debian

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,16 @@
 PREFIX=/usr/local
 PKG := gitlab.com/gitlab-org/gitlab-workhorse
-BUILD_DIR := $(CURDIR)
-TARGET_DIR := $(BUILD_DIR)/_build
+BUILD_DIR ?= $(CURDIR)
+TARGET_DIR ?= $(BUILD_DIR)/_build
 TARGET_SETUP := $(TARGET_DIR)/.ok
 BIN_BUILD_DIR := $(TARGET_DIR)/bin
 PKG_BUILD_DIR := $(TARGET_DIR)/src/$(PKG)
 COVERAGE_DIR := $(TARGET_DIR)/cover
-VERSION := $(shell git describe)-$(shell date -u +%Y%m%d.%H%M%S)
+VERSION_STRING := $(shell git describe)
+ifeq ($(strip $(VERSION_STRING)),)
+VERSION_STRING := v$(shell cat VERSION)
+endif
+VERSION := ${VERSION_STRING}-$(shell date -u +%Y%m%d.%H%M%S)
 GOBUILD := go build -ldflags "-X main.Version=$(VERSION)"
 EXE_ALL := gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
 INSTALL := install
@@ -38,7 +42,7 @@
 	$(call message,"Setting up target directory")
 	rm -rf $(TARGET_DIR)
 	mkdir -p "$(dir $(PKG_BUILD_DIR))"
-	ln -sf ../../../.. "$(PKG_BUILD_DIR)"
+	ln -sf "$(CURDIR)" "$(PKG_BUILD_DIR)"
 	mkdir -p "$(BIN_BUILD_DIR)"
 	touch "$(TARGET_SETUP)"
 
@@ -146,7 +150,7 @@
 .PHONY: fmt
 fmt: $(TARGET_SETUP) install-goimports
 	$(call message,$@)
-	@goimports -w -l $(LOCAL_GO_FILES)
+	@goimports -w -local $(PKG) -l $(LOCAL_GO_FILES)
 
 .PHONY:	goimports
 install-goimports:	$(TARGET_SETUP)
