=== debian/changelog ===
gitlab-workhorse (7.6.0+debian-1+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild against golang-websocket 1.4.0-1+deb10u1.

 -- Markus Koschany <apo@debian.org>  Sun, 14 May 2023 00:27:56 +0200
