## gitlab-workhorse 8.5.2+debian

=== debian/changelog ===
gitlab-workhorse (8.5.2+debian-1) experimental; urgency=medium

  * Team upload
  * New upstream version 8.5.2+debian
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Wed, 15 May 2019 17:34:32 +0530
