## gitlab-workhorse 8.7.0+debian

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 GOBUILD := go build -ldflags "-X main.Version=$(VERSION)"
 EXE_ALL := gitlab-zip-cat gitlab-zip-metadata gitlab-workhorse
 INSTALL := install
+BUILD_TAGS := tracer_static tracer_static_jaeger
 
 MINIMUM_SUPPORTED_GO_VERSION := 1.8
 
@@ -48,15 +49,15 @@
 
 gitlab-zip-cat:	$(TARGET_SETUP) $(shell find cmd/gitlab-zip-cat/ -name '*.go')
 	$(call message,Building $@)
-	$(GOBUILD) -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
+	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
 
 gitlab-zip-metadata:	$(TARGET_SETUP) $(shell find cmd/gitlab-zip-metadata/ -name '*.go')
 	$(call message,Building $@)
-	$(GOBUILD) -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
+	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)/cmd/$@
 
 gitlab-workhorse:	$(TARGET_SETUP) $(shell find . -name '*.go' | grep -v '^\./_')
 	$(call message,Building $@)
-	$(GOBUILD) -o $(BUILD_DIR)/$@ $(PKG)
+	$(GOBUILD) -tags "$(BUILD_TAGS)" -o $(BUILD_DIR)/$@ $(PKG)
 
 .PHONY:	install
 install:	gitlab-workhorse gitlab-zip-cat gitlab-zip-metadata
@@ -67,13 +68,13 @@
 .PHONY:	test
 test: $(TARGET_SETUP) prepare-tests
 	$(call message,$@)
-	@go test $(LOCAL_PACKAGES)
+	@go test -tags "$(BUILD_TAGS)" $(LOCAL_PACKAGES)
 	@echo SUCCESS
 
 .PHONY:	coverage
 coverage:	$(TARGET_SETUP) prepare-tests
 	$(call message,$@)
-	@go test -cover -coverprofile=test.coverage $(LOCAL_PACKAGES)
+	@go test -tags "$(BUILD_TAGS)" -cover -coverprofile=test.coverage $(LOCAL_PACKAGES)
 	go tool cover -html=test.coverage -o coverage.html
 	rm -f test.coverage
 
@@ -87,10 +88,15 @@
 	$(call message,$@)
 	rm -f $(EXE_ALL)
 
-.PHONY:	release
-release:
+.PHONY:	tag
+tag:
 	$(call message,$@)
-	sh _support/release.sh
+	sh _support/tag.sh
+
+.PHONY:	signed_tag
+signed_tag:
+	$(call message,$@)
+	TAG_OPTS=-s sh _support/tag.sh
 
 .PHONY:	clean-build
 clean-build:
@@ -105,7 +111,7 @@
 	git clone --quiet --bare https://gitlab.com/gitlab-org/gitlab-test.git $@
 
 .PHONY: verify
-verify: lint vet detect-context check-formatting megacheck
+verify: lint vet detect-context check-formatting staticcheck
 
 .PHONY: lint
 lint: $(TARGET_SETUP) govendor-sync
@@ -131,11 +137,11 @@
 # Megacheck will tailor some responses given a minimum Go version, so pass that through the CLI
 # Additionally, megacheck will not return failure exit codes unless explicitely told to via the
 # `-simple.exit-non-zero` `-unused.exit-non-zero` and `-staticcheck.exit-non-zero` flags
-.PHONY: megacheck
-megacheck: $(TARGET_SETUP) govendor-sync
+.PHONY: staticcheck
+staticcheck: $(TARGET_SETUP) govendor-sync
 	$(call message,Verify: $@)
-	@command -v megacheck || go get -v honnef.co/go/tools/cmd/megacheck
-	@megacheck -go $(MINIMUM_SUPPORTED_GO_VERSION) -simple.exit-non-zero -unused.exit-non-zero -staticcheck.exit-non-zero $(LOCAL_PACKAGES)
+	@command -v staticcheck || go get -v honnef.co/go/tools/cmd/staticcheck
+	@staticcheck -go $(MINIMUM_SUPPORTED_GO_VERSION) $(LOCAL_PACKAGES)
 
 # Some vendor components, used for testing are GPL, so we don't distribute them
 # and need to go a sync before using them
