=== debian/changelog ===
gitlab-workhorse (8.7.0+debian-1) experimental; urgency=medium

  * New upstream version 8.7.0+debian
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sat, 03 Aug 2019 11:11:59 +0000
