=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 #    ,git
 #    ,curl
 #    ,unzip
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
