## gitlab-workhorse 8.8.1+debian

=== debian/changelog ===
gitlab-workhorse (8.8.1+debian-3) unstable; urgency=medium

  * Add upstream patch for rate limiting (Fixes: CVE-2019-19260)

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Nov 2019 00:13:24 +0530

gitlab-workhorse (8.8.1+debian-2) unstable; urgency=medium

  * Reupload to unstable (gitlab in unstable cannot be supported meaningfully) 

 -- Pirate Praveen <praveen@debian.org>  Sun, 17 Nov 2019 15:06:19 +0530

gitlab-workhorse (8.8.1+debian-1) experimental; urgency=medium

  * New upstream version 8.8.1+debian
  * Fix package wrt cme
  * Bump Standards-Version to 4.4.0
  * Bump debhelper-compat to 12

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Tue, 22 Oct 2019 18:01:42 +0530
