=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gitlab-workhorse
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>,
+           Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Section: httpd
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>,
- Manas Kashyap <manaskashyaptech@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any (>= 2:1.10~),
 #golang-github-getsentry-raven-go-dev,
@@ -29,23 +29,24 @@
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
-               golang-google-genproto-dev,
+               golang-google-genproto-dev
 #golang-google-grpc-dev
 ## tests:
-#    ,git
-#    ,curl
-#    ,unzip
-Standards-Version: 4.4.0
+#git,
+#curl,
+#unzip
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
+Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
 Homepage: https://gitlab.com/gitlab-org/gitlab-workhorse/
-Vcs-Git: https://salsa.debian.org/go-team/packages/gitlab-workhorse.git
-Vcs-Browser: https://salsa.debian.org/go-team/packages/gitlab-workhorse
 XS-Go-Import-Path: gitlab.com/gitlab-org/gitlab-workhorse
+Rules-Requires-Root: no
 
 Package: gitlab-workhorse
 Architecture: any
-Built-Using: ${misc:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
 Description: unloads Git HTTP traffic from the GitLab Rails app (Unicorn)
  gitlab-workhorse was designed to unload Git HTTP traffic from the GitLab Rails
  app (Unicorn) to a separate daemon. It also serves 'git archive' downloads for
