=== debian/changelog ===
gitlab-workhorse (8.18.0+debian-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * vendorworks: reduce vendoring, strict clean-up as per Files-Excluded.
  * Enabled some tests
  * Build-Depends:
    - golang-github-dgrijalva-jwt-go-v3-dev
    + golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~)
    + golang-github-gomodule-redigo-dev
    + golang-github-jfbus-httprs-dev
    + golang-github-sebest-xff-dev
    + libimage-exiftool-perl

  [ Pirate Praveen ]
  * New upstream version 8.18.0+debian
  * Change netstat autopkgtest dependency to net-tools (fixes autopkgtest
    regression)

 -- Pirate Praveen <praveen@debian.org>  Wed, 01 Jan 2020 17:39:44 +0530

gitlab-workhorse (8.16.0+debian-2) unstable; urgency=low

  [ Adrian Bunk ]
  * Update the build dependency from golang-logrus-dev
    to golang-github-sirupsen-logrus-dev. (Closes: #946022)
  * Add test dependency on netstat. (Closes: #931662)

 -- Pirate Praveen <praveen@debian.org>  Tue, 31 Dec 2019 14:56:45 +0530

gitlab-workhorse (8.16.0+debian-1) unstable; urgency=medium

  * Add README.source to explain how to recreate orig.tar
  * New upstream version 8.16.0+debian
  * Don't clean vendor debian/rules or exclude in debian/copyright (it is
    manually created now)

 -- Pirate Praveen <praveen@debian.org>  Mon, 09 Dec 2019 21:33:49 +0530
