=== debian/changelog ===
gitlab-workhorse (8.18.0+debian-1ubuntu0.2) focal-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 18 Jan 2023 17:48:14 +0100

gitlab-workhorse (8.18.0+debian-1ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 01:11:54 +0200
