=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gitlab-workhorse
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Utkarsh Gupta <guptautkarsh2102@gmail.com>
 Section: httpd
@@ -7,31 +8,35 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any (>= 2:1.10~),
-#golang-github-getsentry-raven-go-dev,
-               golang-github-dgrijalva-jwt-go-v3-dev,
-               golang-toml-dev,
                golang-github-beorn7-perks-dev,
                golang-github-davecgh-go-spew-dev,
+               golang-github-dgrijalva-jwt-go-dev (>= 3.2.0~),
                golang-github-garyburd-redigo-dev,
-               golang-goprotobuf-dev,
-               golang-websocket-dev,
-               golang-protobuf-extensions-dev,
+#              golang-github-getsentry-raven-go-dev,
+               golang-github-gomodule-redigo-dev,
+               golang-github-jfbus-httprs-dev,
                golang-github-mitchellh-copystructure-dev,
                golang-github-mitchellh-reflectwalk-dev,
                golang-github-pmezard-go-difflib-dev,
-               golang-prometheus-client-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev,
-               golang-procfs-dev,
+               golang-github-sebest-xff-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
-               golang-logrus-dev (>= 1.0~),
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sys-dev (>= 0.0~git20180510.7dfd129~),
-               golang-google-genproto-dev
+               golang-google-genproto-dev,
+               golang-goprotobuf-dev,
+               golang-procfs-dev,
+               golang-prometheus-client-dev,
+               golang-protobuf-extensions-dev,
+               golang-toml-dev,
+               golang-websocket-dev,
 #golang-google-grpc-dev
 ## tests:
+    libimage-exiftool-perl,
 #git,
 #curl,
 #unzip
